Forum Discussion

Bharath_Achar's avatar
12 years ago

not able to upgrade Linux client from 7.5 to 7.5.0.4 using push install from master server

master server version : 7.5.0.4

client OS : Linux 2.6.32-279.2.1.el6.x86_64

Client version :7.5

Attempting to install client binaries to a NetBackup server of
a different release/pack level.  Mixed version server/client
binaries on a single host are not supported.
client_config_failed
       pppp-bak.qqqqq.com install failed
 
 
Regards,
Bharath
  • Check if NetBackup server is installed on the target host. /usr/openv/netbackup/version file exist, NetBackup server is installed.
    If so, do not use update_client to this host. Apply both server and client pack locally.

5 Replies

  • Check if NetBackup server is installed on the target host. /usr/openv/netbackup/version file exist, NetBackup server is installed.
    If so, do not use update_client to this host. Apply both server and client pack locally.

  •  

    On client:
     
    -bash: cd: /usr/openv/netbackup/version: Not a directory
    [root@xxxxxxxx ~]# cat /usr/openv/netbackup/version
    HARDWARE LINUX_RH_X86
    VERSION NetBackup 7.5
    RELEASEDATE Wed Feb 08 02:15:39 CST 2012
    BUILDNUMBER 20120207
     
     
    please let me know what and how to check ????
     

     

  • As per Yasuhisa's excellent post - the above output means that server binaries are installed on this client. You will also find /usr/openv/volmgr directory.

    You cannot use update_clients to upgrade a NBU server.
    As per Yasuhisa's post, you need to install server and client patch directly on this machine.

  •  

     

    My netbackups opscentre is installed on this client.

     

    This may be the reason.

     

     

     

  • Always patch OpsCentre (using appropriate download) before even patching master server. Please mark Yasuhisa's post as Solution.